<?php

/*
@%@UCRWARNING= @%@
*/

/*
 +-------------------------------------------------------------------------+
 | Configuration for the Calendar plugin                                   |
 | Version 0.9.0-format2                                                   |
 |                                                                         |
 | Copyright (C) 2010, Lazlo Westerhof - Netherlands                       |
 | Copyright (C) 2013, Kolab Systems AG                                    |
 |                                                                         |
 | This program is free software: you can redistribute it and/or modify    |
 | it under the terms of the GNU Affero General Public License as          |
 | published by the Free Software Foundation, either version 3 of the      |
 | License, or (at your option) any later version.                         |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
 | GNU Affero General Public License for more details.                     |
 |                                                                         |
 | You should have received a copy of the GNU Affero General Public License|
 | along with this program. If not, see <http://www.gnu.org/licenses/>.    |
 |                                                                         |
 +-------------------------------------------------------------------------+
 | Author: Lazlo Westerhof <hello@lazlo.me>                                |
 |         Thomas Bruederli <bruederli@kolabsys.com>                       |
 +-------------------------------------------------------------------------+
*/

// backend type (database, google, kolab)
$config['calendar_driver'] = "kolab";

// optionally enable the DTSTAMP check for iTip messages (disabled by default).
// setting this to true will only show RSVP buttons if an iTip inivation is newer
// than the local copy of the matching event.
$config['calendar_itip_dtstampcheck'] = false;

// default calendar view (agendaDay, agendaWeek, month)
$config['calendar_default_view'] = "agendaWeek";

// mapping of Roundcube date formats to calendar formats (long/short/agenda)
// should be in sync with 'date_formats' in main config
$config['calendar_date_format_sets'] = array(
  'yyyy-MM-dd' => array('MMM d yyyy',   'M-d',  'ddd MM-dd'),
  'dd-MM-yyyy' => array('d MMM yyyy',   'd-M',  'ddd dd-MM'),
  'yyyy/MM/dd' => array('MMM d yyyy',   'M/d',  'ddd MM/dd'),
  'MM/dd/yyyy' => array('MMM d yyyy',   'M/d',  'ddd MM/dd'),
  'dd/MM/yyyy' => array('d MMM yyyy',   'd/M',  'ddd dd/MM'),
  'dd.MM.yyyy' => array('dd. MMM yyyy', 'd.M',  'ddd dd.MM.'),
  'd.M.yyyy'   => array('d. MMM yyyy',  'd.M',  'ddd d.MM.'),
);

// general date format (only set if different from default date format and not user configurable)
// $config['calendar_date_format'] = "yyyy-MM-dd";

// time format  (only set if different from default date format)
// $config['calendar_time_format'] = "HH:mm";

// short date format (used for column titles)
// $config['calendar_date_short'] = 'M-d';

// long date format (used for calendar title)
// $config['calendar_date_long'] = 'MMM d yyyy';

// date format used for agenda view
// $config['calendar_date_agenda'] = 'ddd MM-dd';

// timeslots per hour (1, 2, 3, 4, 6)
$config['calendar_timeslots'] = 2;

// show this number of days in agenda view
$config['calendar_agenda_range'] = 60;

// first day of the week (0-6)
$config['calendar_first_day'] = 1;

// first hour of the calendar (0-23)
$config['calendar_first_hour'] = 6;

// working hours begin
$config['calendar_work_start'] = 8;

// working hours end
$config['calendar_work_end'] = 18;

// show line at current time of the day
$config['calendar_time_indicator'] = true;

// default alarm settings for new events.
// this is only a preset when a new event dialog opens
// possible values are <empty>, DISPLAY, EMAIL
$config['calendar_default_alarm_type'] = '';

// default alarm offset for new events.
// use ical-style offset values like "-1H" (one hour before) or "+30M" (30 minutes after)
$config['calendar_default_alarm_offset'] = '-15M';

// how to colorize events:
// 0: according to calendar color
// 1: according to category color
// 2: calendar for outer, category for inner color
// 3: category for outer, calendar for inner color
$config['calendar_event_coloring'] = 0;

// event categories
$config['calendar_categories'] = array(
  'Personal' => 'c0c0c0',
      'Work' => 'ff0000',
    'Family' => '00ff00',
   'Holiday' => 'ff6600',
);

// enable users to invite/edit attendees for shared events organized by others
$config['calendar_allow_invite_shared'] = false;

// enable asynchronous free-busy triggering after data changed
$config['calendar_freebusy_trigger'] = true;

// SMTP server host used to send (anonymous) itip messages
$config['calendar_itip_smtp_server'] = null;

// SMTP username used to send (anonymous) itip messages
$config['calendar_itip_smtp_user'] = '@%@hostname@%@$';

// SMTP password used to send (anonymous) itip messages
@!@
import os
if os.path.exists('/etc/machine.secret'):
 print "$config['calendar_itip_smtp_pass'] = '%s';" % (open('/etc/machine.secret','r').read().strip())
else:
 print "$config['calendar_itip_smtp_pass'] = 'MACHINE.SECRET_IS_MISSING';"
@!@


?>
