#!/bin/sh
#
# Univention Mail Server
#
# Copyright 2011-2012 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

eval "$(univention-config-registry shell)"

if [ "$1" = "prechange" ] ; then
	if /etc/init.d/postfix status | grep -q "is running" ; then
		univention-config-registry set mail/postfix/stoppedbyserverpasswordchange=yes
		echo "stopping postfix due to upcoming server password change" | logger -t "server-password-change"
		/etc/init.d/postfix stop
	fi
fi

if [ "$1" = "postchange" -o "$1" = "nochange" ] ; then
	# update ldap query definitions
	univention-config-registry commit /etc/postfix/ldap.*
	# start postfix only if it has been stopped by this script
	if [ "$mail_postfix_stoppedbyserverpasswordchange" = "yes" ] ; then
		echo "starting postfix after server password change" | logger -t "server-password-change"
		/etc/init.d/postfix start
		univention-config-registry unset mail/postfix/stoppedbyserverpasswordchange
	fi
fi
